#define motorIN1 3 // IN1
#define motorIN2 4 // IN2

#define LED 2
char incomingMessage;

void setup() {
  pinMode(motorIN1, OUTPUT);
  pinMode(motorIN2, OUTPUT);
  pinMode(LED, OUTPUT);
  Serial.begin(9600);
  MotorOff();
}

void loop() {

  while (Serial.available()) {
    incomingMessage = Serial.read();
  }

  if (incomingMessage == 'H') {
    MotorOn();
  } else if (incomingMessage == 'L') {
    MotorOff();
  }
}

void MotorOn(){
    digitalWrite(motorIN1, 1);
    digitalWrite(motorIN2, 0);
  }

void MotorOff(){
    digitalWrite(motorIN1, 0);
    digitalWrite(motorIN2, 0);
  }
